# Desktop UI

A UI component library for building desktop applications. 🎉  [简体中文](./README_ZH.md)

## Component List

### General

- ✅ Button
- ✅ Icon
- ✅ Typography

### Layout

- ✅ Grid
- ⬜️ Layout
- ✅ Divider
- ✅ Space
- ✅ Cell
- ⬜️ Collaspse
- ⬜️ Split
- ✅ Card

### Navigation

- ⬜️ Affix
- ⬜️ Anchor
- ⬜️ Breadcrumb
- ⬜️ Menu
- ⬜️ Steps
- ⬜️ Page
- ⬜️ Tabs
- ⬜️ Dropdown

### Form

- ⬜️ Input
- ⬜️ Radio
- ⬜️ Checkbox
- ⬜️ Switch
- ⬜️ Table
- ⬜️ Select
- ⬜️ AutoComplete
- ⬜️ Slider
- ⬜️ DatePicker
- ⬜️ TimePicker
- ⬜️ Cascader
- ⬜️ Transfer
- ⬜️ InputNumber
- ✅ Rate
- ⬜️ Upload
- ⬜️ ColorPicker
- ⬜️ Form
- ⬜️ Mentions
- ⬜️ TreeSelect

### Action Feedback

- ✅ Alert
- ⬜️ Message
- ⬜️ Notice
- ⬜️ Modal
- ⬜️ Drawer
- ⬜️ Popconfirm
- ⬜️ Spin

### View Show

- ⬜️ Tree
- ⬜️ Tooltip
- ⬜️ Popover
- ⬜️ Progress
- ⬜️ Skeleton
- ✅ Avatar
- ✅ Badge
- ✅ Tag
- ⬜️ Carousel
- ⬜️ TimeLine
- ⬜️ Time
- ⬜️ Image
- ⬜️ List
- ✅ Empty
- ⬜️ Statistic
- ⬜️ Comment
- ⬜️ Descriptions
- ⬜️ Calendar

### Other

- ⬜️ BackTop

## Use

### Add Project Dependencies

Add the following dependencies to the 'pubspec.yaml' file corresponding to your project or package.

```yaml
dependencies:
  desktop_ui: ^latest
```

### Install Dependencies

Run the install package command to install the dependency packages.

```shell
> flutter pub get
```

### Import Libary File

```dart
import 'package:desktop_ui/desktop_ui.dart';
```
