import 'package:desktop_ui/constants.dart';
import 'package:desktop_ui/desktop_ui.dart';
import 'package:flutter/material.dart';

enum EasyEmptyType {
  normal,
  file,
  message,
  comment,
}

class EasyEmpty extends StatelessWidget {
  const EasyEmpty({
    Key? key,
    this.description,
    this.type = EasyEmptyType.normal,
  }) : super(key: key);

  final String? description;
  final EasyEmptyType? type;

  IconData getIconData() {
    IconData icon = EasyIconData.menu;
    switch (type) {
      case EasyEmptyType.normal:
        icon = EasyIconData.modular;
        break;
      case EasyEmptyType.file:
        icon = EasyIconData.file;
        break;
      case EasyEmptyType.message:
        icon = EasyIconData.email;
        break;
      case EasyEmptyType.comment:
        icon = EasyIconData.comment;
        break;
      default:
        break;
    }
    return icon;
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: iGapAllMiddle,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          EasyIcon(
            getIconData(),
            size: iEmptyIconSize,
            color: iGray,
          ),
          Padding(
            padding: iGapTop,
            child: Text(
              description ?? '暂无数据',
              style: const TextStyle(color: iGrayDark, fontSize: iFontSizeMini),
            ),
          ),
        ],
      ),
    );
  }
}
